## org.apache.hadoop.security.token
Interface TokenSelector<T extends TokenIdentifier>

Type Parameters:
  `T` - T extends TokenIdentifier

All Known Implementing Classes:
  AbstractDelegationTokenSelector, DelegationTokenSelector, JobTokenSelector

    public interface TokenSelector<T extends TokenIdentifier>

Select token of type T from tokens for use with named service

Method Summary
`Token<T>` `selectToken(Text service, Collection<Token<? extends TokenIdentifier>> tokens)`

Method Detail

### selectToken

    Token<T> selectToken(Text service,
                         Collection<Token<? extends TokenIdentifier>> tokens)

Copyright © 2009 The Apache Software Foundation